Форум программистов «Весельчак У»
  *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

  • Рекомендуем проверить настройки временной зоны в вашем профиле (страница "Внешний вид форума", пункт "Часовой пояс:").
  • У нас больше нет рассылок. Если вам приходят письма от наших бывших рассылок mail.ru и subscribe.ru, то знайте, что это не мы рассылаем.
   Начало  
Наши сайты
Помощь Поиск Календарь Почта Войти Регистрация  
 
Страниц: [1]   Вниз
  Печать  
Автор Тема: установка драйвера видеокарты ATI Radeon  (Прочитано 19144 раз)
0 Пользователей и 1 Гость смотрят эту тему.
Falsehood
Молодой специалист

ru
Offline Offline
Пол: Женский
не может быть


« : 31-08-2007 07:54 » 

попыталась установить упомянутый драйвер. не хатит  Жаль
в логе говорит следующее
Код:
[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
ATI module generator V 2.0
==========================
initializing...
cleaning...
patching 'highmem.h'...
assuming new VMA API since we do have kernel 2.6.x...
 Assuming default VMAP API
 Assuming default munmap API
doing Makefile based build for kernel 2.6.x and higher
make -C /lib/modules/2.6.17-5mdv/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory `/usr/src/linux-2.6.17-5mdv'

  WARNING: Symbol version dump /usr/src/linux-2.6.17-5mdv/Module.symvers
           is missing; modules will have no dependencies and modversions.

  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
In file included from /lib/modules/fglrx/build_mod/2.6.x/drm_proc.h:41,
                 from /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:333:
/lib/modules/fglrx/build_mod/2.6.x/drmP.h:126:1: warning: "DRM_DEBUG_CODE" redefined
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:177:1: warning: this is the location of the previous definition
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:451: warning: initialization from incompatible pointer type
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘firegl_stub_open’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:574: warning: assignment discards qualifiers from pointer target type
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘firegl_put_user_ptr’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1352: warning: cast from pointer to integer of different size
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1352: warning: cast from pointer to integer of different size
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1352: warning: cast from pointer to integer of different size
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1352: warning: cast from pointer to integer of different size
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘__ke_unregister_ioctl32_conversion’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2616: warning: ‘return’ with a value, in function returning void
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘KAS_SlabCache_Initialize’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:4888: warning: cast from pointer to integer of different size
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘KAS_ExecuteAtLevel’:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:4706: warning: ‘flags’ may be used uninitialized in this function
  LD [M]  /lib/modules/fglrx/build_mod/2.6.x/fglrx.o
  Building modules, stage 2.
  MODPOST
  CC      /lib/modules/fglrx/build_mod/2.6.x/fglrx.mod.o
  LD [M]  /lib/modules/fglrx/build_mod/2.6.x/fglrx.ko
make[1]: Leaving directory `/usr/src/linux-2.6.17-5mdv'
build succeeded with return value 0
duplicating results into driver repository...
done.
==============================
- recreating module dependency list
- trying a sample load of the kernel modules
failed.
[Error] Kernel Module : Failed to install compiled kernel module - please consult readme.
подскажите, что сделать, чтобы драйвер установился?
дистрибутив Mandriva Linux 2007 ядро 2.6.17.5 x-server 7.1.x
видео-драйвер должен быть последний
Записан

Славная трава...
McZim
Модератор

ru
Offline Offline
Пол: Мужской
Я странный


WWW
« Ответ #1 : 31-08-2007 09:36 » 

такое ощущение что всему виной вот этот путь /usr/src/linux-2.6.17-5mdv попробуй изменить его так /usr/src/linux-2.6.17 или /usr/src/linux-2.6.17-5

вот как я устанавливал

http://mczim-debian.blogspot.com/2007/05/debian-etch-atixorg.html
Записан

The CBO without stats is like a morning without coffee. (c) T.Kyte.
RXL
Технический
Администратор

ru
Offline Offline
Пол: Мужской

WWW
« Ответ #2 : 31-08-2007 09:40 » 

Затрудняюсь сказать точно. В глаза брасается это:

Цитата
[Message] Kernel Module : Precompiled kernel module version mismatched.

Похоже, что комплект драйвера содержит бинарные модули, которые были собраны под определенную версию дистрибутива с включенной опцией контроля версии. Нужен драйвер, предсобранный под твой дистрибутив.

Драверы ATI мне ставить не приходилось - только NVidia. Как помню, с там тоже есть часть в бинарной поставке, а часть в исходном коде. Модуль ядра шел весь в исходном коде, а usespace часть - в бинарном. В таком виде проблем со сборкой не возникало.

Цитата
WARNING: Symbol version dump /usr/src/linux-2.6.17-5mdv/Module.symvers
           is missing; modules will have no dependencies and modversions.

Это намекает, что должен быть такой файл. Посмотри, куда он входит. Думаю, что в пакет залоговков ядра или пакет исходников ядра.
Записан

... мы преодолеваем эту трудность без синтеза распределенных прототипов. (с) Жуков М.С.
Falsehood
Молодой специалист

ru
Offline Offline
Пол: Женский
не может быть


« Ответ #3 : 31-08-2007 10:05 » 

спасибо. буду посмотреть
Записан

Славная трава...
Falsehood
Молодой специалист

ru
Offline Offline
Пол: Женский
не может быть


« Ответ #4 : 04-09-2007 07:38 » 

McZim, попыталась воспользоваться твоим пошаговым руководством...
собрала пакеты для своего дистрибутива. их получилось 4. названия не записала..
два из них худо-бедно установились, а для оставшихся требуются файлы:
libX11.so.6
libXext.so.6
что-то не пойму, чего б еще такого установить, чтобы они появились, где надо..
посоветуйте что-нибудь, плз..
Записан

Славная трава...
McZim
Модератор

ru
Offline Offline
Пол: Мужской
Я странный


WWW
« Ответ #5 : 04-09-2007 17:28 » 

эээээ, ну я в пакеты та не собирал Улыбаюсь а что у тебя есть вместо libX11.so.6 libXext.so.6 по идее должны быть другие версии.
Записан

The CBO without stats is like a morning without coffee. (c) T.Kyte.
Falsehood
Молодой специалист

ru
Offline Offline
Пол: Женский
не может быть


« Ответ #6 : 05-09-2007 07:50 » 

ну как же? а эти файлики с расширением .deb разве не пакеты?
у меня по команде
#./ati-driver-installer-8.40.5-x86.x86_64.run --buildpkg Mandriva/2007
сотворились четыре пакета *.rpm. про них я и говорю.

библиотеки, на самом деле, я нашла. они есть и нужной версии. только установщик пакетов их не видит почему-то. поэтому я установила-таки все пакеты с игнорированием зависимостей.

что такое module-assistant, я не поняла  Скромно так... поэтому сразу попыталась запустить
#aticonfig --initial
началась какая-то деятельность, а потом вывалилось сообщение что-то типа : Nothing to do. Terminated.
что бы это значило?

зачем первой строчкой отключается модуль «fglrx»? может, сейчас конфигурация не настраивается из-за того, что я это не сделала?
Записан

Славная трава...
McZim
Модератор

ru
Offline Offline
Пол: Мужской
Я странный


WWW
« Ответ #7 : 06-09-2007 11:43 » 

да точно собираются пакеты а я уже и забыл Улыбаюсь Отключается fglrx, затем что это линуксовая поддержка карточек АТИ, а так как мы будем ставить дрова, то нам поддержка линукса не нужна. И ее нужно отключать.
Записан

The CBO without stats is like a morning without coffee. (c) T.Kyte.
Falsehood
Молодой специалист

ru
Offline Offline
Пол: Женский
не может быть


« Ответ #8 : 06-09-2007 13:07 » 

я скачала августовские ати-шные драйвера, и они потребовали ядро более новой версии, чем у меня. я этого не заметила, когда пакеты ставила Улыбаюсь жуть какая-то Улыбаюсь))

мне тут показали, как ставятся драйвера на линукс, как у меня, на живом компьютере. я все по пунктам записала, буду вечером продолжать развлекаться Улыбаюсь
Записан

Славная трава...
Chuda
Гость
« Ответ #9 : 06-09-2007 15:14 » 

а мен бросилось в глаза вот это: "дистрибутив Mandriva Linux".
Вечно с ним какие-то проблемы Жаль
Записан
Falsehood
Молодой специалист

ru
Offline Offline
Пол: Женский
не может быть


« Ответ #10 : 10-09-2007 11:44 » 

это какой-то кошмар Жаль
попыталась установить свежую версию ядра. мне объяснили, что надо архивчик с ядром распаковать, сконфигурировать и сделать make. для конфигурации велели скомандовать
#make mconfig (или xconfig, сейчас не помню)
или, если не получится,
#make menuconfig
мне показали, что происходит по первой команде: открывается окошко, полноценное графическое, слева в нем дерево параметров, справа установка их значений.
у меня это окошко не запустилось. застопорилось после строчки
check Qt
в логе. сказало что не хватает пакета Qt3. я проверила, пакет этот установлен..
ну да ладно, запустила вторую версию команды. открылось псевдографическое окно. я там насилу нашла параметры, которые нужно настроить: архитектуру процессора правильно указать и мультиядерность убрать. указала убрала. и вот, что мне было ответом:
Код:
[root@localhost linux-2.6.22.6]# make
  HOSTLD  scripts/kconfig/conf
scripts/kconfig/conf -s arch/x86_64/Kconfig
  CHK     include/linux/version.h
  UPD     include/linux/version.h
  CHK     include/linux/utsrelease.h
  UPD     include/linux/utsrelease.h
  SYMLINK include/asm -> include/asm-x86_64
  CC      arch/x86_64/kernel/asm-offsets.s
In file included from include/asm/thread_info.h:12,
                 from include/linux/thread_info.h:21,
                 from include/linux/preempt.h:9,
                 from include/linux/spinlock.h:49,
                 from include/linux/module.h:9,
                 from include/linux/crypto.h:21,
                 from arch/x86_64/kernel/asm-offsets.c:7:
include/asm/page.h:89:2: error: #error "CONFIG_PHYSICAL_START must be a multiple of 2MB"
make[1]: *** [arch/x86_64/kernel/asm-offsets.s] Ошибка 1
make: *** [prepare0] Ошибка 2
[root@localhost linux-2.6.22.6]#
помогите С ума сойти...
Записан

Славная трава...
McZim
Модератор

ru
Offline Offline
Пол: Мужской
Я странный


WWW
« Ответ #11 : 16-09-2007 17:43 » 

http://mczim-debian.blogspot.com/2007/04/blog-post_18.html
Записан

The CBO without stats is like a morning without coffee. (c) T.Kyte.
Falsehood
Молодой специалист

ru
Offline Offline
Пол: Женский
не может быть


« Ответ #12 : 17-09-2007 14:03 » 

Цитата
После этого компилируем ядро с нужными нам параметрами

#make menuconfig
хи-хи-хи
я нашла на форуме по gentoo, что надо поправить параметр
"Processor type and features" -> "Physical address where the kernel is loaded" на (0x200000)
но никогда бы не подумала, что это "нужный нам" параметр Улыбаюсь
Записан

Славная трава...
Falsehood
Молодой специалист

ru
Offline Offline
Пол: Женский
не может быть


« Ответ #13 : 21-09-2007 09:07 » 

установился драйвер, но на более старое ядро, версии 2.6.18.8
то, на которое я все это время безуспешно пыталась поставить, было версии 2.6.22.6. вот то ли я его домой не донесла в целости, то ли там что-то круто изменилось по сравнению с 18ым, чего драйвер не понял... не знаю. но теперь буду настраивать модем Улыбаюсь
Записан

Славная трава...
McZim
Модератор

ru
Offline Offline
Пол: Мужской
Я странный


WWW
« Ответ #14 : 21-09-2007 11:20 » 

да, там есть изменения, но они не связаны с видео, вся проблема заключается именно в драйверах для видео карт АТИ, я когда сидел на АТИхе конечно решал проблему совместимости, но это стоило не слабых усилий, поэтому я купил нвидию Улыбаюсь)) и горя теперь не знаю!
Записан

The CBO without stats is like a morning without coffee. (c) T.Kyte.
Falsehood
Молодой специалист

ru
Offline Offline
Пол: Женский
не может быть


« Ответ #15 : 03-10-2007 07:34 » new

я - фанат ATI Улыбаюсь
Записан

Славная трава...
Страниц: [1]   Вверх
  Печать  
 

Powered by SMF 1.1.21 | SMF © 2015, Simple Machines